cpw.mods.fml.common.event

## Enum FMLMissingMappingsEvent.Action

- java.lang.Object
- - java.lang.Enum<FMLMissingMappingsEvent.Action>
  - - cpw.mods.fml.common.event.FMLMissingMappingsEvent.Action

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FMLMissingMappingsEvent.Action>
  Enclosing class:
    FMLMissingMappingsEvent

      public static enum FMLMissingMappingsEvent.Action
      extends java.lang.Enum<FMLMissingMappingsEvent.Action>

  Actions you can take with this missing mapping.
  - `IGNORE` means this missing mapping will be ignored.
  - `WARN` means this missing mapping will generate a warning.
  - `FAIL` means this missing mapping will prevent the world from loading.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `FAIL`
    `IGNORE`
    `REMAP`
    `WARN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FMLMissingMappingsEvent.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FMLMissingMappingsEvent.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final FMLMissingMappingsEvent.Action DEFAULT

    - #### IGNORE

          public static final FMLMissingMappingsEvent.Action IGNORE

    - #### WARN

          public static final FMLMissingMappingsEvent.Action WARN

    - #### FAIL

          public static final FMLMissingMappingsEvent.Action FAIL

    - #### REMAP

          public static final FMLMissingMappingsEvent.Action REMAP

  - ### Method Detail

    - #### values

          public static FMLMissingMappingsEvent.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FMLMissingMappingsEvent.Action c : FMLMissingMappingsEvent.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FMLMissingMappingsEvent.Action valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null